Run a KYC identity check
curl --request POST \
--url https://robust-parakeet-542.convex.site/v1/verify/idp \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"documentFrontBase64": "/9j/4AAQSkZJRg…",
"documentBackBase64": "/9j/4AAQSkZJRg…",
"livenessFramesBase64": "/9j/4AAQSkZJRg…",
"livenessMediaType": "jpeg_frames",
"idNumber": "30458812",
"firstName": "Wanjiku",
"lastName": "Mwangi",
"dateOfBirth": "1992-04-17",
"gender": "F"
}
'import requests
url = "https://robust-parakeet-542.convex.site/v1/verify/idp"
payload = {
"documentFrontBase64": "/9j/4AAQSkZJRg…",
"documentBackBase64": "/9j/4AAQSkZJRg…",
"livenessFramesBase64": "/9j/4AAQSkZJRg…",
"livenessMediaType": "jpeg_frames",
"idNumber": "30458812",
"firstName": "Wanjiku",
"lastName": "Mwangi",
"dateOfBirth": "1992-04-17",
"gender": "F"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
documentFrontBase64: '/9j/4AAQSkZJRg…',
documentBackBase64: '/9j/4AAQSkZJRg…',
livenessFramesBase64: '/9j/4AAQSkZJRg…',
livenessMediaType: 'jpeg_frames',
idNumber: '30458812',
firstName: 'Wanjiku',
lastName: 'Mwangi',
dateOfBirth: '1992-04-17',
gender: 'F'
})
};
fetch('https://robust-parakeet-542.convex.site/v1/verify/idp', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://robust-parakeet-542.convex.site/v1/verify/idp",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'documentFrontBase64' => '/9j/4AAQSkZJRg…',
'documentBackBase64' => '/9j/4AAQSkZJRg…',
'livenessFramesBase64' => '/9j/4AAQSkZJRg…',
'livenessMediaType' => 'jpeg_frames',
'idNumber' => '30458812',
'firstName' => 'Wanjiku',
'lastName' => 'Mwangi',
'dateOfBirth' => '1992-04-17',
'gender' => 'F'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://robust-parakeet-542.convex.site/v1/verify/idp"
payload := strings.NewReader("{\n \"documentFrontBase64\": \"/9j/4AAQSkZJRg…\",\n \"documentBackBase64\": \"/9j/4AAQSkZJRg…\",\n \"livenessFramesBase64\": \"/9j/4AAQSkZJRg…\",\n \"livenessMediaType\": \"jpeg_frames\",\n \"idNumber\": \"30458812\",\n \"firstName\": \"Wanjiku\",\n \"lastName\": \"Mwangi\",\n \"dateOfBirth\": \"1992-04-17\",\n \"gender\": \"F\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://robust-parakeet-542.convex.site/v1/verify/idp")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"documentFrontBase64\": \"/9j/4AAQSkZJRg…\",\n \"documentBackBase64\": \"/9j/4AAQSkZJRg…\",\n \"livenessFramesBase64\": \"/9j/4AAQSkZJRg…\",\n \"livenessMediaType\": \"jpeg_frames\",\n \"idNumber\": \"30458812\",\n \"firstName\": \"Wanjiku\",\n \"lastName\": \"Mwangi\",\n \"dateOfBirth\": \"1992-04-17\",\n \"gender\": \"F\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://robust-parakeet-542.convex.site/v1/verify/idp")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"documentFrontBase64\": \"/9j/4AAQSkZJRg…\",\n \"documentBackBase64\": \"/9j/4AAQSkZJRg…\",\n \"livenessFramesBase64\": \"/9j/4AAQSkZJRg…\",\n \"livenessMediaType\": \"jpeg_frames\",\n \"idNumber\": \"30458812\",\n \"firstName\": \"Wanjiku\",\n \"lastName\": \"Mwangi\",\n \"dateOfBirth\": \"1992-04-17\",\n \"gender\": \"F\"\n}"
response = http.request(request)
puts response.read_body{
"id": "ver_3f9a1c0b7d2e4a51c8e0f6a29b4d7c13",
"type": "idp",
"status": "queued",
"verdict": "pass",
"sandbox": true,
"monitoringId": "<string>"
}{
"error": "Missing required fields: subjectName",
"details": {
"subjectName": "string of at most 200 characters"
}
}{
"error": "Invalid API key"
}{
"error": "Insufficient credits"
}{
"error": "This API key can't call POST /v1/verify/aml. Give it the \"verify:aml\" scope or use another key."
}{
"error": "<string>",
"details": {}
}{
"error": "Rate limit exceeded"
}KYC
Run a KYC identity check
Document scan, liveness, face match, IPRS (Kenya’s national register)
and AML screening of the person. Scope verify:kyc. Each media field
is at most 1,000,000 base64 characters.
POST
/
v1
/
verify
/
idp
Run a KYC identity check
curl --request POST \
--url https://robust-parakeet-542.convex.site/v1/verify/idp \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"documentFrontBase64": "/9j/4AAQSkZJRg…",
"documentBackBase64": "/9j/4AAQSkZJRg…",
"livenessFramesBase64": "/9j/4AAQSkZJRg…",
"livenessMediaType": "jpeg_frames",
"idNumber": "30458812",
"firstName": "Wanjiku",
"lastName": "Mwangi",
"dateOfBirth": "1992-04-17",
"gender": "F"
}
'import requests
url = "https://robust-parakeet-542.convex.site/v1/verify/idp"
payload = {
"documentFrontBase64": "/9j/4AAQSkZJRg…",
"documentBackBase64": "/9j/4AAQSkZJRg…",
"livenessFramesBase64": "/9j/4AAQSkZJRg…",
"livenessMediaType": "jpeg_frames",
"idNumber": "30458812",
"firstName": "Wanjiku",
"lastName": "Mwangi",
"dateOfBirth": "1992-04-17",
"gender": "F"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
documentFrontBase64: '/9j/4AAQSkZJRg…',
documentBackBase64: '/9j/4AAQSkZJRg…',
livenessFramesBase64: '/9j/4AAQSkZJRg…',
livenessMediaType: 'jpeg_frames',
idNumber: '30458812',
firstName: 'Wanjiku',
lastName: 'Mwangi',
dateOfBirth: '1992-04-17',
gender: 'F'
})
};
fetch('https://robust-parakeet-542.convex.site/v1/verify/idp', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://robust-parakeet-542.convex.site/v1/verify/idp",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'documentFrontBase64' => '/9j/4AAQSkZJRg…',
'documentBackBase64' => '/9j/4AAQSkZJRg…',
'livenessFramesBase64' => '/9j/4AAQSkZJRg…',
'livenessMediaType' => 'jpeg_frames',
'idNumber' => '30458812',
'firstName' => 'Wanjiku',
'lastName' => 'Mwangi',
'dateOfBirth' => '1992-04-17',
'gender' => 'F'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://robust-parakeet-542.convex.site/v1/verify/idp"
payload := strings.NewReader("{\n \"documentFrontBase64\": \"/9j/4AAQSkZJRg…\",\n \"documentBackBase64\": \"/9j/4AAQSkZJRg…\",\n \"livenessFramesBase64\": \"/9j/4AAQSkZJRg…\",\n \"livenessMediaType\": \"jpeg_frames\",\n \"idNumber\": \"30458812\",\n \"firstName\": \"Wanjiku\",\n \"lastName\": \"Mwangi\",\n \"dateOfBirth\": \"1992-04-17\",\n \"gender\": \"F\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://robust-parakeet-542.convex.site/v1/verify/idp")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"documentFrontBase64\": \"/9j/4AAQSkZJRg…\",\n \"documentBackBase64\": \"/9j/4AAQSkZJRg…\",\n \"livenessFramesBase64\": \"/9j/4AAQSkZJRg…\",\n \"livenessMediaType\": \"jpeg_frames\",\n \"idNumber\": \"30458812\",\n \"firstName\": \"Wanjiku\",\n \"lastName\": \"Mwangi\",\n \"dateOfBirth\": \"1992-04-17\",\n \"gender\": \"F\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://robust-parakeet-542.convex.site/v1/verify/idp")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"documentFrontBase64\": \"/9j/4AAQSkZJRg…\",\n \"documentBackBase64\": \"/9j/4AAQSkZJRg…\",\n \"livenessFramesBase64\": \"/9j/4AAQSkZJRg…\",\n \"livenessMediaType\": \"jpeg_frames\",\n \"idNumber\": \"30458812\",\n \"firstName\": \"Wanjiku\",\n \"lastName\": \"Mwangi\",\n \"dateOfBirth\": \"1992-04-17\",\n \"gender\": \"F\"\n}"
response = http.request(request)
puts response.read_body{
"id": "ver_3f9a1c0b7d2e4a51c8e0f6a29b4d7c13",
"type": "idp",
"status": "queued",
"verdict": "pass",
"sandbox": true,
"monitoringId": "<string>"
}{
"error": "Missing required fields: subjectName",
"details": {
"subjectName": "string of at most 200 characters"
}
}{
"error": "Invalid API key"
}{
"error": "Insufficient credits"
}{
"error": "This API key can't call POST /v1/verify/aml. Give it the \"verify:aml\" scope or use another key."
}{
"error": "<string>",
"details": {}
}{
"error": "Rate limit exceeded"
}Authorizations
Your API key: gt_live_… or gt_test_…
Body
application/json
Base64 JPEG or PNG of the ID front.
Base64 liveness capture.
Available options:
jpeg_frames, mp4, webm Maximum string length:
200Maximum string length:
200Maximum string length:
200YYYY-MM-DD.
Maximum string length:
200Maximum string length:
200Base64 of the back (ID cards and licences).
Response
The check was accepted. Live keys start queued; test keys finish at once.
Example:
"ver_3f9a1c0b7d2e4a51c8e0f6a29b4d7c13"
Available options:
idp, aml, document, kyb Available options:
queued, completed Test keys only.
Allowed value:
"pass"Test keys only.
AML only, when monitor: true was sent: the monitored subject's id (null with a test key).

